%global crate bottom

Name:           rust-bottom
Version:        0.9.6
Release:        1%{?dist}
Summary:        Customizable cross-platform graphical process/system monitor for the terminal

License:        MIT
URL:            https://crates.io/crates/bottom
Source:         %{crates_source}
Source1:        %{name}-%{version}-vendor.tar.bz2

Patch:          Patch0001-bottom-fix-metadata-auto.diff

ExclusiveArch:  %{rust_arches}

BuildRequires:  rust-packaging >= 23

%global _description %{expand:
A customizable cross-platform graphical process/system monitor for the
terminal. Supports Linux, macOS, and Windows.}

%description %{_description}

%package     -n %{crate}
Summary:        %{summary}
# FIXME: paste output of %%cargo_license_summary here
License:        # FIXME
# LICENSE.dependencies contains a full license breakdown

%description -n %{crate} %{_description}

%files       -n %{crate}
%license LICENSE
%license LICENSE.dependencies
%doc README.md
%{_bindir}/btm

%package        devel
Summary:        %{summary}
BuildArch:      noarch
Provides:       crate(bottom) = 0.9.6
Requires:       cargo

%description    devel %{_description}

This package contains library source intended for building other packages which
use the "%{crate}" crate.

%files          devel
%license %{crate_instdir}/LICENSE
%doc %{crate_instdir}/README.md
%{crate_instdir}/

%package     -n %{name}+default-devel
Summary:        %{summary}
BuildArch:      noarch
Provides:       crate(bottom/default) = 0.9.6
Requires:       cargo
Requires:       crate(bottom) = 0.9.6
Requires:       crate(bottom/deploy) = 0.9.6

%description -n %{name}+default-devel %{_description}

This package contains library source intended for building other packages which
use the "default" feature of the "%{crate}" crate.

%files       -n %{name}+default-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+battery-devel
Summary:        %{summary}
BuildArch:      noarch
Provides:       crate(bottom/battery) = 0.9.6
Requires:       cargo
Requires:       crate(bottom) = 0.9.6
Requires:       crate(bottom/starship-battery) = 0.9.6

%description -n %{name}+battery-devel %{_description}

This package contains library source intended for building other packages which
use the "battery" feature of the "%{crate}" crate.

%files       -n %{name}+battery-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+deploy-devel
Summary:        %{summary}
BuildArch:      noarch
Provides:       crate(bottom/deploy) = 0.9.6
Requires:       cargo
Requires:       crate(bottom) = 0.9.6
Requires:       crate(bottom/battery) = 0.9.6
Requires:       crate(bottom/gpu) = 0.9.6
Requires:       crate(bottom/zfs) = 0.9.6

%description -n %{name}+deploy-devel %{_description}

This package contains library source intended for building other packages which
use the "deploy" feature of the "%{crate}" crate.

%files       -n %{name}+deploy-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+fern-devel
Summary:        %{summary}
BuildArch:      noarch
Provides:       crate(bottom/fern) = 0.9.6
Requires:       (crate(fern/default) >= 0.6.2 with crate(fern/default) < 0.7.0~)
Requires:       cargo
Requires:       crate(bottom) = 0.9.6

%description -n %{name}+fern-devel %{_description}

This package contains library source intended for building other packages which
use the "fern" feature of the "%{crate}" crate.

%files       -n %{name}+fern-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+gpu-devel
Summary:        %{summary}
BuildArch:      noarch
Provides:       crate(bottom/gpu) = 0.9.6
Requires:       cargo
Requires:       crate(bottom) = 0.9.6
Requires:       crate(bottom/nvidia) = 0.9.6

%description -n %{name}+gpu-devel %{_description}

This package contains library source intended for building other packages which
use the "gpu" feature of the "%{crate}" crate.

%files       -n %{name}+gpu-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+log-devel
Summary:        %{summary}
BuildArch:      noarch
Provides:       crate(bottom/log) = 0.9.6
Requires:       (crate(log/default) >= 0.4.20 with crate(log/default) < 0.5.0~)
Requires:       cargo
Requires:       crate(bottom) = 0.9.6

%description -n %{name}+log-devel %{_description}

This package contains library source intended for building other packages which
use the "log" feature of the "%{crate}" crate.

%files       -n %{name}+log-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+logging-devel
Summary:        %{summary}
BuildArch:      noarch
Provides:       crate(bottom/logging) = 0.9.6
Requires:       cargo
Requires:       crate(bottom) = 0.9.6
Requires:       crate(bottom/fern) = 0.9.6
Requires:       crate(bottom/log) = 0.9.6

%description -n %{name}+logging-devel %{_description}

This package contains library source intended for building other packages which
use the "logging" feature of the "%{crate}" crate.

%files       -n %{name}+logging-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+nvidia-devel
Summary:        %{summary}
BuildArch:      noarch
Provides:       crate(bottom/nvidia) = 0.9.6
Requires:       cargo
Requires:       crate(bottom) = 0.9.6
Requires:       crate(bottom/nvml-wrapper) = 0.9.6

%description -n %{name}+nvidia-devel %{_description}

This package contains library source intended for building other packages which
use the "nvidia" feature of the "%{crate}" crate.

%files       -n %{name}+nvidia-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+nvml-wrapper-devel
Summary:        %{summary}
BuildArch:      noarch
Provides:       crate(bottom/nvml-wrapper) = 0.9.6
Requires:       (crate(nvml-wrapper/default) >= 0.9.0 with crate(nvml-wrapper/default) < 0.10.0~)
Requires:       cargo
Requires:       crate(bottom) = 0.9.6

%description -n %{name}+nvml-wrapper-devel %{_description}

This package contains library source intended for building other packages which
use the "nvml-wrapper" feature of the "%{crate}" crate.

%files       -n %{name}+nvml-wrapper-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+starship-battery-devel
Summary:        %{summary}
BuildArch:      noarch
Provides:       crate(bottom/starship-battery) = 0.9.6
Requires:       (crate(starship-battery/default) >= 0.8.2 with crate(starship-battery/default) < 0.9.0~)
Requires:       cargo
Requires:       crate(bottom) = 0.9.6

%description -n %{name}+starship-battery-devel %{_description}

This package contains library source intended for building other packages which
use the "starship-battery" feature of the "%{crate}" crate.

%files       -n %{name}+starship-battery-devel
%ghost %{crate_instdir}/Cargo.toml

%package     -n %{name}+zfs-devel
Summary:        %{summary}
BuildArch:      noarch
Provides:       crate(bottom/zfs) = 0.9.6
Requires:       cargo
Requires:       crate(bottom) = 0.9.6

%description -n %{name}+zfs-devel %{_description}

This package contains library source intended for building other packages which
use the "zfs" feature of the "%{crate}" crate.

%files       -n %{name}+zfs-devel
%ghost %{crate_instdir}/Cargo.toml

%prep
%autosetup -n %{crate}-%{version} -p1 -a1
%cargo_prep -v ./vendor

%build
%cargo_build
%{cargo_license_summary}
%{cargo_license} > LICENSE.dependencies

%install
%cargo_install

%changelog
* Mon Jul 29 2024 xiaoyunzhao <xiaoyunzhao@tencent.com> - 0.9.6-1
- Initial package